
QGIS Application - Bug report #16971

Qgis crashed when save map with 180 meridian

2017-08-04 05:03 PM - Evgenia Sinieshtany

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24870

Description

When trying print map with 180 meridian to file in map composer that contains raster (e.g. DEM) QGIS dump happens.

I thought the problem is that raster layer boundaries are over 180°E (east boundary is 180.0004199999999912), but after clipping all the

same.

What's wrong? 

With vector layers everything is OK. I tested different rasters, but get dump anyway.

In QGIS version 2.6 it works fine!

clipped raster - https://cloud.mail.ru/public/G5tj/rSdLsYxaK

loaded file is:

qgis project with map composer

initial raster is too big(

History

#1 - 2017-08-06 06:45 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

Tried on both Linux and Windows with 2.18.11 and was able to test print to pdf with your raster and to A0, 600dpi with no issues.

You will likely need to give us more details (operating system? version?) and a project with data and layout.

Try also in a clean environment, starting to (backup and) delete the .qgis2 folder then restart QGIS (so to test with no trace of 3rd party plugins).

#2 - 2017-08-06 09:04 PM - Andre Joost

It might help to reproject the raster to the custom, projected CRS based on a meridian in the pacific.

#3 - 2017-08-06 09:47 PM - Giovanni Manghi

Andre Joost wrote:

It might help to reproject the raster to the custom, projected CRS based on a meridian in the pacific.

and what would be that? the link only contains the raster and it loads as wgs84.
#4 - 2017-08-07 10:15 AM - Evgenia Sinieshtany

Andre Joost wrote:

It might help to reproject the raster to the custom, projected CRS based on a meridian in the pacific.

It helps, thanks!

But nevertheless it looks very strange(

It wasn't necessary to reproject raster, QGIS did it 'on the fly'

#5 - 2017-08-07 10:26 AM - Giovanni Manghi

Evgenia Sinieshtany wrote:

Andre Joost wrote:

It might help to reproject the raster to the custom, projected CRS based on a meridian in the pacific.

It helps, thanks!

But nevertheless it looks very strange(

It wasn't necessary to reproject raster, QGIS did it 'on the fly'

in what projection with OTR on it crashes for you when printing?

#6 - 2017-08-07 10:52 AM - Evgenia Sinieshtany

This projection is in the qgis project I have loaded:

+proj=lcc +lat_1=61.33 +lat_2=65 +lat_0=0 +lon_0=169 +x_0=000000 +y_0=00000 +ellps=intl +units=m +no_defs

#7 - 2017-08-07 10:57 AM - Giovanni Manghi

Evgenia Sinieshtany wrote:

This projection is in the qgis project I have loaded:

+proj=lcc +lat_1=61.33 +lat_2=65 +lat_0=0 +lon_0=169 +x_0=000000 +y_0=00000 +ellps=intl +units=m +no_defs

I reprojected the raster to that and still wa sable to print with no issues (tried A0 ad 600dpi).

#8 - 2017-08-07 11:59 AM - Evgenia Sinieshtany

Yeah, I did the same, reprojected raster prints fine, but before it was unnecessary to reproject raster in project's projection. QGIS works with its original

WGS84 (2.6 version tested)

#9 - 2017-08-07 12:02 PM - Giovanni Manghi

2025-04-27 2/4



Evgenia Sinieshtany wrote:

Yeah, I did the same, reprojected raster prints fine, but before it was unnecessary to reproject raster in project's projection. QGIS works with its

original WGS84 (2.6 version tested)

I'm lost. If you have OTR enabled and the project CRS is different from your layers this are reprojected. If is the same are not. The raster you linked loads in

wgs84, so it has the WGS84 CRS. Here on both Linux and Windows it prints (even on large formats at high dpis) prints fine as reprojected or not.

#10 - 2017-08-07 12:11 PM - Evgenia Sinieshtany

Uh, sorry I make you puzzled! 

The problem is that in QGIS 2.18.4 map, that contains 180 meridian, prints succesfully only when raster is reprojected in project's projection. In raster's

initial projection (WGS84) QGIS dumps! In previous versions there wasn't this problem

#11 - 2017-08-07 12:13 PM - Giovanni Manghi

The problem is that in QGIS 2.18.4 map, that contains 180 meridian, prints succesfully only when raster is reprojected in project's projection. In

raster's initial projection (WGS84) QGIS dumps! In previous versions there wasn't this problem

ok, but that is not my observation on 2.18.11 on both linux and windows. Please try update and clean your qgis environment (no 3rd party plugins loaded

for example).

#12 - 2017-08-07 12:50 PM - Andre Joost

The reprojected file is twice as big as the source file (1.3GB). Maybe GUI, OTF and print composer kill the RAM.

Another point might be that source and target CRS use different ellipsoids, so the extent cut perfectly at the WGS84 180° meridian might cross that in the

other CRS, leading to a world-span raster. OTF and gdalwarp might behave differently in this point.

Using the unprojected raster and printing to PDF, I get a crash dump on exiting QGIS.

#13 - 2017-08-07 12:52 PM - Giovanni Manghi

Using the unprojected raster and printing to PDF, I get a crash dump on exiting QGIS.

not here... clean environment (no 3rd party plugins loaded or installed)? what OS? what version?

#14 - 2017-08-07 01:33 PM - Andre Joost

Giovanni Manghi wrote:

Using the unprojected raster and printing to PDF, I get a crash dump on exiting QGIS.

not here... clean environment (no 3rd party plugins loaded or installed)? what OS? what version?
Windows 7, QGIS 2.18.10. I will test without other plugins.

#15 - 2017-08-07 01:34 PM - Giovanni Manghi

Andre Joost wrote:

Giovanni Manghi wrote:

Using the unprojected raster and printing to PDF, I get a crash dump on exiting QGIS.

not here... clean environment (no 3rd party plugins loaded or installed)? what OS? what version?

Windows 7

32 or 64bit?

#16 - 2017-09-25 04:12 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.

Files

raster dump.qgs 17.9 KB 2017-08-04 Evgenia Sinieshtany
